5,599,478 Members 38,058 Now Online
XDA Developers Android and Mobile Development Forum

Download 4,3 to 4.2.2 including older bootloader

Tip us?
 
terrapin69
Old
#1  
terrapin69's Avatar
Senior Member - OP
Thanks Meter 16
Posts: 205
Join Date: Aug 2008
Default Download 4,3 to 4.2.2 including older bootloader

so....I've read you can't downgrade the bootloader in some threads but then, in others, I read that I can "flash" the older MDL bootloader, flash the official 4.2.2 in ODIN and I should be fine. Other threads say that if I made a nandroid b/u of my 4.2.2, I could flash that and it will revert to the old bootloader and FW. Can an "expert" chime in and clarify this for me? I want to get 4.2.2 back with the OLD BL. I have the stock 4.2.2 FW ready to go but have no idea about the BL part...Thanks
 
shiamatsu
Old
#2  
shiamatsu's Avatar
Member
Thanks Meter 166
Posts: 79
Join Date: Nov 2013
Location: Cloudsdale
Quote:
Originally Posted by terrapin69 View Post
so....I've read you can't downgrade the bootloader in some threads but then, in others, I read that I can "flash" the older MDL bootloader, flash the official 4.2.2 in ODIN and I should be fine. Other threads say that if I made a nandroid b/u of my 4.2.2, I could flash that and it will revert to the old bootloader and FW. Can an "expert" chime in and clarify this for me? I want to get 4.2.2 back with the OLD BL. I have the stock 4.2.2 FW ready to go but have no idea about the BL part...Thanks
If you're on the MDL bootloader, you can downgrade the modem; however, if you have the MK2 bootloader, you can't downgrade the modem to MDL.
 
terrapin69
Old
#3  
terrapin69's Avatar
Senior Member - OP
Thanks Meter 16
Posts: 205
Join Date: Aug 2008
so, until someone comes up with a "solution", I will be locked at 0X1 for KNOX - Is that even a big deal? Is the actual hardware affected by this? I am assuming that 99.9% of the folks at XDA have counters/flags set to 0X1 -
 
shiamatsu
Old
#4  
shiamatsu's Avatar
Member
Thanks Meter 166
Posts: 79
Join Date: Nov 2013
Location: Cloudsdale
Quote:
Originally Posted by terrapin69 View Post
so, until someone comes up with a "solution", I will be locked at 0X1 for KNOX - Is that even a big deal? Is the actual hardware affected by this? I am assuming that 99.9% of the folks at XDA have counters/flags set to 0X1 -
0X1 means you have broken your warranty.

I'm pretty sure it isn't 99.9% of the people who actually updated to 4.3. Many users were aware of the KNOX counter (0x1) beforehand w/ i9505's 4.3 update.
 
xdapowerapps
Old
#5  
xdapowerapps's Avatar
Senior Member
Thanks Meter 190
Posts: 527
Join Date: Jul 2008
Quote:
Originally Posted by terrapin69 View Post
so, until someone comes up with a "solution", I will be locked at 0X1 for KNOX - Is that even a big deal? Is the actual hardware affected by this? I am assuming that 99.9% of the folks at XDA have counters/flags set to 0X1 -
Yes, you will be stuck on the 4.3 BL for the time being. All the flag does is tell you that your warranty has been voided. It makes absolutely no changes in your hardware. Initially we thought there was an actual HW fuse or efuse but I believe those claims were unsubstantiated. You are able to do everything you did in earlier versions of Android except downgrade to a different bootloader. And yes, people who got the update automatically, people who updated without knowing, or people that do not care about their warranty, all have their knox flags at 0x1. Hope that helps.

Sent from my SGH-M919 using XDA Premium 4 mobile app

.
.
< - - - - - Please hit the button if I helped.

Unlocked TMO SGS4, SGH-M919, WarpDrive KK 4.4.2, Ktoonsez Kernel, PhilZ Touch Recovery.

HUGE THANKS TO rovo89 FOR HIS XPOSED FRAMEWORK. List of Xposed Modules
.
.
The Following User Says Thank You to xdapowerapps For This Useful Post: [ Click to Expand ]
 
didadi
Old
#6  
Member
Thanks Meter 1
Posts: 95
Join Date: Aug 2010
Is there any tool to know what Bootloader I'm ? Or is this the same as baseband version?
 
davidisurf
Old
#7  
Junior Member
Thanks Meter 0
Posts: 4
Join Date: Jan 2013
Location: Vitoria
Default Downgrade

Is it possible to downgrade from 4.3 to 4.2.2 at all?
Even if you have to keep the 4.3 bootloader and/or lose your warranty or whatever else?
I'm bought this T-Mobile M919 in USA last week, but I'm back to Brazil, so I don't mind to lose my warranty because it will cost more to send it to USA then send back here instead buy another one.
I paid for unlock my phone by IMEI, I received the code to unlock but looks like I can't do it because I'm on 4.3, most methods don't work like the 4.2.2 version. So that's why I need to downgrade to 4.2.2
Like dialing *#1234# to check the version won't work on 4.3

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


XDA PORTAL POSTS

A More Competitive Spin on the Addictive 2048 Puzzle

You may recall that a few weeks ago, we talked about a rather interesting take on … more

Multiboot in Progress for the Sony Xperia Z1

As we’ve mentioned quite a few times in the past, multiboot is quite the interesting … more

Samsung EFS Tool Updated to V5, Brings Universal Device Support

You may recall that we’ve talked about XDA Recognized Contributor … more

Say Goodbye to Holo Blue Once and for All

When Google released Android 4.4 KitKat back in October of last year, they changed quite a bit … more